function requestStagesItem_Callback(hObject, eventdata)
    handles = guidata( hObject );
    if isempty( handles.mesh )
        return;
    end
    [stages,ok] = askForNumlist( 'Stages to compute' );
    if ok
        fprintf( 1, 'Recomputing stages:' );
        fprintf( 1, ' %.3f', stages );
        fprintf( 1, '.\n' );
        handles.mesh = leaf_requeststages( handles.mesh, ...
            'stages', stages );
        handles = remakeStageMenu( handles );
        guidata( handles.output, handles );
    end

